<?php

namespace domain\Product\Accessory;

use domain\_\AbstractBuilder;
use domain\Producer\Producer\Producer;

class AccessoryBuilder extends AbstractBuilder
{
    public function instanciateAccessory(Producer $producer): Accessory
    {
        $accessory = new Accessory();
        $accessory->setProducer($producer);

        return $accessory;
    }
}